aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2012-01-20 16:39:12 -0800
committerBrian Behlendorf <[email protected]>2012-02-02 11:27:54 -0800
commit4b2220f0b937018b79154ac368c845e6176a8a66 (patch)
tree07877c960d2d94a913e8d38c0421e21bacb3592c /scripts
parent3c6ed5410beb7a4f9e0c042229eb63c4c11a5fc9 (diff)
Add --enable-debug-log configure option
Until now the notion of an internal debug logging infrastructure was conflated with enabling ASSERT()s. This patch clarifies things by cleanly breaking the two subsystem apart. The result of this is the following behavior. --enable-debug - Enable/disable code wrapped in ASSERT()s. --disable-debug ASSERT()s are used to check invariants and are never required for correct operation. They are disabled by default because they may impact performance. --enable-debug-log - Enable/disable the debug log infrastructure. --disable-debug-log This infrastructure allows the spl code and its consumer to log messages to an in-kernel log. The granularity of the logging can be controlled by a debug mask. By default the mask disables most debug messages resulting in a negligible performance impact. Because of this the debug log is enabled by default. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/scripts/check.sh b/scripts/check.sh
index 8c0e0c5cb..4334ff3a5 100755
--- a/scripts/check.sh
+++ b/scripts/check.sh
@@ -65,9 +65,8 @@ fi
/sbin/modprobe zlib_inflate &>/dev/null
/sbin/modprobe zlib_deflate &>/dev/null
-spl_module_params="spl_debug_mask=0xffffffff spl_debug_subsys=0xffffffff"
echo "Loading ${spl_module}"
-/sbin/insmod ${spl_module} ${spl_module_params} || die "Failed to load ${spl_module}"
+/sbin/insmod ${spl_module} || die "Failed to load ${spl_module}"
echo "Loading ${splat_module}"
/sbin/insmod ${splat_module} || die "Unable to load ${splat_module}"